Subject: Fw: [Bug 199951] New: Packets send with libpcap via veth started to have trailer, (incorrect) FCS and are dropped

From: Stephen Hemminger <[email-masked]>
Date: Wed, 6 Jun 2018 14:08:20 -0700

Begin forwarded message:

Date: Wed, 06 Jun 2018 18:39:54 +0000
From: [email-masked]
To: [email-masked]
Subject: [Bug 199951] New: Packets send with libpcap via veth started to have trailer, (incorrect) FCS and are dropped

https://bugzilla.kernel.org/show_bug.cgi?id=199951

            Bug ID: 199951
           Summary: Packets send with libpcap via veth started to have
                    trailer, (incorrect) FCS and are dropped
           Product: Networking
           Version: 2.5
    Kernel Version: 4.16.12
          Hardware: All
                OS: Linux
              Tree: Mainline
            Status: NEW
          Severity: normal
          Priority: P1
         Component: Other
          Assignee: [email-masked]
          Reporter: [email-masked]
        Regression: No

I have the following configuration:

netns0            netns1
veth0 <---------> veth1

Inside netns0 I inject packets with libpcap into veth0.

On kernels 4.16.5 and older packets were correctly received on veth1 in netns1.

On kernel 4.16.12 most packets are dropped by interface veth1 (but not all,
ICMP and TCP connection establishment sequence goes through, large ones are
dropped).

When observing packets send on veth0 with Wireshark I notice that:

- on 4.16.5 packets are 1512 bytes long and do not include Ethernet trailer and
FCS

- on 4.16.12 packets are 1526 bytes long and include Ethernet trailer and FCS,
which is incorrect (either zeros or some garbage)

I suspect that the incorrect FCS is the reason why packets are dropped by
veth1.

Other explanation could be that packets with trailer and FCS are dropped
because they are simply too long (this would explain why small packets are
received).

I do not have access to binaries of kernel versions other than 4.16.5 and
4.16.12 (using Debian sid), so I cannot tell in which exact version between
them this regressions has been introduced.

-- 
You are receiving this mail because:
You are the assignee for the bug.